Get Quote by ID
GET/v1/crossborder/quotes/:id
Retrieve detailed information about a specific crossborder quote by providing the quote ID.
Request
Path Parameters
Quote ID.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
Responses
- 200
- 401
- 403
- 422
Quote returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
Quote ID.
Possible values: [PENDING, CREATED, APPROVED, PAID, SETTLED, FAILED]
Status.
rate objectrequired
Rate ID.
Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]
Base currency symbol.
Base currency decimals.
Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]
Quote currency symbol.
Quote currency decimals.
Possible values: [BUY, SELL]
Side.
Price.
Price decimals.
fees object[]required
Fees charged.
Possible values: [SYSTEM_SPREAD, CLIENT_EXTRA_SPREAD, IOF]
Fee name.
Fee.
Possible values: [PERCENTAGE]
Fee format.
Fee total amount charged in cents.
Amount decimals.
Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]
Amount currency symbol.
VET.
Base currency amount in cents.
Quote currency amount in cents.
Possible values: [D0, D1, D2]
Settlement date code.
Settlement date in YYYY-MM-DD format.
Expiration date in YYYY-MM-DDTHH:mm:ss.SSSZ format.
Creation date in YYYY-MM-DDTHH:mm:ss.SSSZ format.
client objectrequired
Client ID.
Client name. For legal entities, the name field corresponds to the legal name.
Client email.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Client type.
Client country.
Client phone number.
Client document.
client_account objectrequired
Client account ID.
Possible values: [CHECKING, SAVINGS]
Client account type.
Client account number.
Client branch.
Client bank name.
Client bank code.
client_wallet objectrequired
Client wallet ID.
counterparty objectrequired
Counterparty ID.
Counterparty name. For legal entities, the name field corresponds to the legal name.
Counterparty email.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Counterparty type.
Counterparty country.
Counterparty phone number.
Counterparty document.
counterparty_account object
Counterparty account ID.
Possible values: [CHECKING, SAVINGS]
Counterparty account type.
Counterparty account number.
Counterparty branch.
Counterparty bank name.
Counterparty bank code.
counterparty_wallet object
Counterparty wallet ID.
deposit_info objectrequired
Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]
Currency symbol.
Possible values: [US, BR, MX, AR, CO, CL, PE, EC, UY, PY]
Country code.
Possible values: [TED]
Type.
Beneficiary document.
quote_documents object[]required
Quote documents.
Quote document ID.
Quote ID.
User ID.
Wallet ID.
File ID.
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]
Document status.
Document rejection reason.
Document created date.
Document updated date.
Wallet owner (company) name.
Description.
Purpose of the quote.
Approval date.
Paid date.
Settled date.
Failure date.
Quote created date.
Quote updated date.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"status": "PENDING",
"rate": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"base_currency_symbol": "USD",
"base_currency_decimals": 2,
"quote_currency_symbol": "BRL",
"quote_currency_decimals": 2,
"side": "BUY",
"price": 5.1234,
"price_decimals": 4,
"fees": [
{
"name": "SYSTEM_SPREAD",
"fee": 1,
"fee_format": "PERCENTAGE",
"amount": 100,
"amount_decimals": 4,
"amount_currency_symbol": "BRL"
}
],
"vet": 5.1234,
"base_currency_amount": 10000,
"quote_currency_amount": 51234,
"settlement_date_code": "D0",
"settlement_date": "2026-03-26",
"expires_at": "2026-03-26T14:02:59.411Z",
"created_at": "2026-03-26T14:02:59.411Z"
},
"client": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "John Doe",
"email": "john.doe@example.com",
"type": "NATURAL_PERSON",
"country": "US",
"phone_number": "+5511999999999",
"document": "12345678901"
},
"client_account": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"account_type": "CHECKING",
"account_number": "12345-6",
"branch": "0001",
"bank_name": "Bank of America",
"bank_code": "001"
},
"client_wallet": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa"
},
"counterparty": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "John Doe",
"email": "john.doe@example.com",
"type": "NATURAL_PERSON",
"country": "US",
"phone_number": "+5511999999999",
"document": "12345678901"
},
"counterparty_account": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"account_type": "CHECKING",
"account_number": "12345-6",
"branch": "0001",
"bank_name": "Bank of America",
"bank_code": "001"
},
"counterparty_wallet": {
"id": "f6e2e084-29b9-4935-a059-5473b13033aa"
},
"deposit_info": {
"currency_symbol": "BRL",
"country_code": "BR",
"type": "TED",
"details": "12345678901"
},
"quote_documents": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"quote_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"wallet_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "Identity Document",
"description": "Front side of identity document",
"type": "IDENTITY",
"status": "PENDING_ANALYSIS",
"rejection_reason": "Document is expired",
"created_at": "2026-03-26T14:02:59.410Z",
"updated_at": "2026-03-26T14:02:59.410Z"
}
],
"wallet_owner_name": "Acme Corp LTDA",
"description": "Payment for services",
"purpose": "INTERNATIONAL_PERSONAL_REMITTANCE",
"approval_at": "2026-03-26T14:02:59.413Z",
"paid_at": "2026-03-26T14:02:59.413Z",
"settled_at": "2026-03-26T14:02:59.413Z",
"failure_at": "2026-03-26T14:02:59.413Z",
"created_at": "2026-03-26T14:02:59.413Z",
"updated_at": "2026-03-26T14:02:59.413Z"
}
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Invalid quote currency amount. The minimum allowed is 100, and you requested 61.",
"code": "INVALID_QUOTE_CURRENCY_MIN_AMOUNT"
}